<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript HW 17</title>
</head>
<body>
<script>

function nameChecker(namePart) {
    while (!namePart || namePart === "null" || !isNaN(namePart)) {
        namePart = prompt("Enter the data correctly, please:", namePart);
    }
    return namePart;
}

const newStudent = {};

let userFirstName = prompt("Enter the student's first name:", "");
newStudent.firstName = nameChecker(userFirstName);
let userLastName = prompt(`Enter ${userFirstName}'s last name:`);
newStudent.lastName = nameChecker(userLastName);
newStudent.tabel = {};

while (true) {
    let subjectName = prompt("Enter the subject name:", "");
    if (!subjectName) {
        break;
    }

    let subjectGrade = +prompt(`Enter the ${subjectName} grade of ${newStudent.firstName} ${newStudent.lastName}:`);
    if (!subjectGrade) {
        break;
    }
    newStudent.tabel[subjectName] = subjectGrade;
}

console.log("the new student is -", newStudent);

let lowGrades = 0;
for (let key in newStudent.tabel) {
    if (newStudent.tabel[key] < 4) {
        lowGrades++;
        break;
    }
}

if (lowGrades === 0) {
    console.log(`${newStudent.firstName} ${newStudent.lastName} is admitted to study next year.`);

    let averageGrade = 0;
    let subjectCount = 0;
    for (let key in newStudent.tabel) {
        subjectCount++;
        averageGrade = averageGrade + newStudent.tabel[key];
    }

    averageGrade = averageGrade/subjectCount;
    console.log(averageGrade);

    if (averageGrade > 7) {
        console.log(`${newStudent.firstName} ${newStudent.lastName} is admitted to receive a scholarship.`);
    }
}

















// if (student.table[subjectName] < 4) {
//     alert("Студент переведен!");
// }



// while (true) {
//     let subjectName = prompt("Enter the subject name:", "")
//     if (!subjectName) {
//         break;
//     }
//
//     student.subjectName = +prompt("Enter the grade", "");
// }






</script>
</body>
</html>